Upstream information

CVE-2016-9634 at MITRE

Description

Heap-based buffer overflow in the flx_decode_delta_fli function in gst/flx/gstflxdec.c in the FLIC decoder in GStreamer before 1.10.2 allows remote attackers to execute arbitrary code or cause a denial of service (application crash) via the start_line parameter.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 7.5 6.8
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network Network
Access Complexity Low Medium
Authentication None None
Confidentiality Impact Partial Partial
Integrity Impact Partial Partial
Availability Impact Partial Partial
CVSS v3 Scores
  National Vulnerability Database
Base Score 9.8
Vector AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H
Access Vector Network
Access Complexity Low
Privileges Required None
User Interaction None
Scope Unchanged
Confidentiality Impact High
Integrity Impact High
Availability Impact High
SUSE Bugzilla entries: 1012102 [RESOLVED], 1012103 [RESOLVED / FIXED], 1012104 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12 SP1
  • gstreamer-0_10-plugins-good >= 0.10.31-13.3.3
  • gstreamer-0_10-plugins-good-lang >= 0.10.31-13.3.3
  • gstreamer-plugins-good >= 1.2.4-2.3.1
  • gstreamer-plugins-good-lang >= 1.2.4-2.3.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP1-2016-1922
SUSE-SLE-DESKTOP-12-SP1-2017-118
SUSE Linux Enterprise Desktop 12 SP2
  • gstreamer-0_10-plugins-good >= 0.10.31-16.1
  • gstreamer-0_10-plugins-good-lang >= 0.10.31-16.1
  • gstreamer-plugins-good >= 1.8.3-9.1
  • gstreamer-plugins-good-lang >= 1.8.3-9.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP2-2016-1939
SUSE-SLE-DESKTOP-12-SP2-2017-104
SUSE Linux Enterprise Desktop 12 SP3
  • gstreamer-0_10-plugins-good >= 0.10.31-16.1
  • gstreamer-0_10-plugins-good-lang >= 0.10.31-16.1
  • gstreamer-plugins-good >= 1.8.3-15.1
  • gstreamer-plugins-good-lang >= 1.8.3-15.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP3 GA gstreamer-0_10-plugins-good
SUSE Linux Enterprise Desktop 12 SP3 GA gstreamer-plugins-good
SUSE Linux Enterprise Server 11 SP4
  • gstreamer-0_10-plugins-good >= 0.10.30-5.14.1
  • gstreamer-0_10-plugins-good-doc >= 0.10.30-5.14.1
  • gstreamer-0_10-plugins-good-lang >= 0.10.30-5.14.1
Patchnames:
slessp4-gstreamer-0_10-plugins-good-12948
SUSE Linux Enterprise Server 12 SP1
  • gstreamer-plugins-good >= 1.2.4-2.3.1
  • gstreamer-plugins-good-lang >= 1.2.4-2.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2016-1922
SUSE Linux Enterprise Server 12 SP2
  • gstreamer-plugins-good >= 1.8.3-9.1
  • gstreamer-plugins-good-lang >= 1.8.3-9.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2016-1939
SUSE Linux Enterprise Server 12 SP3
  • gstreamer-plugins-good >= 1.8.3-15.1
  • gstreamer-plugins-good-lang >= 1.8.3-15.1
Patchnames:
SUSE Linux Enterprise Server 12 SP3 GA gstreamer-plugins-good
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • gstreamer-plugins-good >= 1.8.3-9.1
  • gstreamer-plugins-good-lang >= 1.8.3-9.1
Patchnames:
SUSE-SLE-RPI-12-SP2-2016-1939
SUSE Linux Enterprise Server for SAP Applications 11 SP4
  • gstreamer-0_10-plugins-good >= 0.10.30-5.14.1
  • gstreamer-0_10-plugins-good-doc >= 0.10.30-5.14.1
  • gstreamer-0_10-plugins-good-lang >= 0.10.30-5.14.1
Patchnames:
slessp4-gstreamer-0_10-plugins-good-12948
SUSE Linux Enterprise Server for SAP Applications 12 SP1
  • gstreamer-plugins-good >= 1.2.4-2.3.1
  • gstreamer-plugins-good-lang >= 1.2.4-2.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2016-1922
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • gstreamer-plugins-good >= 1.8.3-9.1
  • gstreamer-plugins-good-lang >= 1.8.3-9.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2016-1939
SUSE Linux Enterprise Workstation Extension 12 SP1
  • gstreamer-0_10-plugins-good >= 0.10.31-13.3.3
  • gstreamer-0_10-plugins-good-lang >= 0.10.31-13.3.3
Patchnames:
SUSE-SLE-WE-12-SP1-2017-118
SUSE Linux Enterprise Workstation Extension 12 SP2
  • gstreamer-0_10-plugins-good >= 0.10.31-16.1
  • gstreamer-0_10-plugins-good-lang >= 0.10.31-16.1
Patchnames:
SUSE-SLE-WE-12-SP2-2017-104
SUSE Linux Enterprise Workstation Extension 12 SP3
  • gstreamer-0_10-plugins-good >= 0.10.31-16.1
  • gstreamer-0_10-plugins-good-lang >= 0.10.31-16.1
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 SP3 GA gstreamer-0_10-plugins-good
openSUSE Leap 42.1
  • gstreamer-0_10-plugin-esd >= 0.10.31-16.1
  • gstreamer-0_10-plugin-esd-32bit >= 0.10.31-16.1
  • gstreamer-0_10-plugin-esd-debuginfo >= 0.10.31-16.1
  • gstreamer-0_10-plugin-esd-debuginfo-32bit >= 0.10.31-16.1
  • gstreamer-0_10-plugins-good >= 0.10.31-16.1
  • gstreamer-0_10-plugins-good-32bit >= 0.10.31-16.1
  • gstreamer-0_10-plugins-good-debuginfo >= 0.10.31-16.1
  • gstreamer-0_10-plugins-good-debuginfo-32bit >= 0.10.31-16.1
  • gstreamer-0_10-plugins-good-debugsource >= 0.10.31-16.1
  • gstreamer-0_10-plugins-good-doc >= 0.10.31-16.1
  • gstreamer-0_10-plugins-good-extra >= 0.10.31-16.1
  • gstreamer-0_10-plugins-good-extra-32bit >= 0.10.31-16.1
  • gstreamer-0_10-plugins-good-extra-debuginfo >= 0.10.31-16.1
  • gstreamer-0_10-plugins-good-extra-debuginfo-32bit >= 0.10.31-16.1
  • gstreamer-0_10-plugins-good-lang >= 0.10.31-16.1
  • gstreamer-plugins-good >= 1.4.5-5.1
  • gstreamer-plugins-good-32bit >= 1.4.5-5.1
  • gstreamer-plugins-good-debuginfo >= 1.4.5-5.1
  • gstreamer-plugins-good-debuginfo-32bit >= 1.4.5-5.1
  • gstreamer-plugins-good-debugsource >= 1.4.5-5.1
  • gstreamer-plugins-good-doc >= 1.4.5-5.1
  • gstreamer-plugins-good-extra >= 1.4.5-5.1
  • gstreamer-plugins-good-extra-32bit >= 1.4.5-5.1
  • gstreamer-plugins-good-extra-debuginfo >= 1.4.5-5.1
  • gstreamer-plugins-good-extra-debuginfo-32bit >= 1.4.5-5.1
  • gstreamer-plugins-good-lang >= 1.4.5-5.1
Patchnames:
openSUSE-2017-153
openSUSE-2017-93
openSUSE Leap 42.2
  • gstreamer-0_10-plugin-esd >= 0.10.31-17.3.1
  • gstreamer-0_10-plugin-esd-32bit >= 0.10.31-17.3.1
  • gstreamer-0_10-plugin-esd-debuginfo >= 0.10.31-17.3.1
  • gstreamer-0_10-plugin-esd-debuginfo-32bit >= 0.10.31-17.3.1
  • gstreamer-0_10-plugins-good >= 0.10.31-17.3.1
  • gstreamer-0_10-plugins-good-32bit >= 0.10.31-17.3.1
  • gstreamer-0_10-plugins-good-debuginfo >= 0.10.31-17.3.1
  • gstreamer-0_10-plugins-good-debuginfo-32bit >= 0.10.31-17.3.1
  • gstreamer-0_10-plugins-good-debugsource >= 0.10.31-17.3.1
  • gstreamer-0_10-plugins-good-doc >= 0.10.31-17.3.1
  • gstreamer-0_10-plugins-good-extra >= 0.10.31-17.3.1
  • gstreamer-0_10-plugins-good-extra-32bit >= 0.10.31-17.3.1
  • gstreamer-0_10-plugins-good-extra-debuginfo >= 0.10.31-17.3.1
  • gstreamer-0_10-plugins-good-extra-debuginfo-32bit >= 0.10.31-17.3.1
  • gstreamer-0_10-plugins-good-lang >= 0.10.31-17.3.1
  • gstreamer-plugins-good >= 1.8.3-3.1
  • gstreamer-plugins-good-32bit >= 1.8.3-3.1
  • gstreamer-plugins-good-debuginfo >= 1.8.3-3.1
  • gstreamer-plugins-good-debuginfo-32bit >= 1.8.3-3.1
  • gstreamer-plugins-good-debugsource >= 1.8.3-3.1
  • gstreamer-plugins-good-doc >= 1.8.3-3.1
  • gstreamer-plugins-good-extra >= 1.8.3-3.1
  • gstreamer-plugins-good-extra-32bit >= 1.8.3-3.1
  • gstreamer-plugins-good-extra-debuginfo >= 1.8.3-3.1
  • gstreamer-plugins-good-extra-debuginfo-32bit >= 1.8.3-3.1
  • gstreamer-plugins-good-lang >= 1.8.3-3.1
Patchnames:
openSUSE-2017-402
openSUSE-2017-65
openSUSE Leap 42.3
  • gstreamer-0_10-plugin-esd >= 0.10.31-20.9
  • gstreamer-0_10-plugins-good >= 0.10.31-20.9
  • gstreamer-0_10-plugins-good-lang >= 0.10.31-20.9
  • gstreamer-plugins-good >= 1.8.3-8.1
  • gstreamer-plugins-good-extra >= 1.8.3-8.1
  • gstreamer-plugins-good-lang >= 1.8.3-8.1
Patchnames:
openSUSE Leap 42.3 GA gstreamer-0_10-plugin-esd
openSUSE Leap 42.3 GA gstreamer-plugins-good


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 12 SP1 gstreamer-plugins-good Released
SUSE Linux Enterprise Desktop 12 SP2 gstreamer-plugins-good Released
SUSE Linux Enterprise Server 12 SP1 gstreamer-plugins-good Released
SUSE Linux Enterprise Server 12 SP2 gstreamer-plugins-good Released
SUSE Linux Enterprise Server 12 SP2 for Raspberry PI gstreamer-plugins-good Released